Subject: Re: Returned Descriptors in Media

From: Christian Groves <[email-masked]>
Date: Sun, 04 Mar 2001 11:50:06 +1100

In this case I believe that you should only send back Local Control.
Although there is a statement in H.248/Megaco that says the MG can
include parameter in Local or Remote if it feels something isn't
specified.

Cheers, Christian

Chuong Nguyen wrote:
> 
> There is no point in getting back the same info that one sends out.
> It is a waste of bandwidth and having to parse through it.
> 
> But I agreed w/Brian last paragraph.
> 
> Chuong
> 
> 
> "Rosen, Brian" wrote:
> 
> > If you send a Media Descriptor with a local, localControl and Remote
> >
> > descriptors, but only use CHOOSE in the LocalDescriptor,
> > what do you get back?
> >
> > One implementer believes Media was specified with CHOOSE,
> > therefore the entire contents of Media should be returned.
> > I think only Local should be returned.
> >
> > I would say, in the spirit of be strict in what you send,
> > liberal in what you accept, that you should only send
> > Local, but be prepared to receive all of Media.
> >
> > Brian
> 
> --
>   Alcatel USA, Inc             Internet: [email-masked]
>   1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
>   **** The opinions expressed are not those of Alcatel USA, Inc ****
> 
>